TestCaseRun
Keywords: testopia.API.TestCaseRun class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## testopia.API
Class TestCaseRun

    java.lang.Object
      testopia.API.TestCaseRun

    public class TestCaseRun

extends java.lang.Object

Author:
  anelson, bstice Creates a wrapper class for the TestRunCase

Constructor Summary
`TestCaseRun(java.lang.String userName, java.lang.String password, int caseID, int runID, int buildID, int environmentID, java.lang.Integer caseRunID, java.net.URL url)` Use this constructor if you want to do sets and gets
`TestCaseRun(java.lang.String userName, java.lang.String password, int caseRunID, java.net.URL url)` Use this constructor if you just want to use gets

Method Summary
`java.util.HashMap<java.lang.String,java.lang.Object>` | `getAttributes()`
`int` | `makeTestCaseRun(int assigneeID, int caseTextVersion)` used to create a testRunCase
`void` | `setAssigneeID(int assigneeID)` Changes the assigneeID of the testCaseRun
`void` | `setBuildID(int buildID)` Changes the buildID of the testCaseRun
`void` | `setEnvironmentID(int environmentID)` Changes the environmentID of the testCaseRun
`void` | `setNotes(java.lang.String notes)` This is used to append a note
`void` | `setStatus(int status)` This is used to change the testCaseRun status (2 for pass, 3 for fail)
`void` | `update()` Updates are not called when the .set is used.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCaseRun

    public TestCaseRun(java.lang.String userName,
                       java.lang.String password,
                       int caseRunID,
                       java.net.URL url)

  Use this constructor if you just want to use gets

  Parameters:
    `userName` - your bugzilla username
    `password` - your bugzilla password
    `caseRunID` - ID used to get the case
    `url` - URL - the url of the testopia server that you want to connect to

### TestCaseRun

    public TestCaseRun(java.lang.String userName,
                       java.lang.String password,
                       int caseID,
                       int runID,
                       int buildID,
                       int environmentID,
                       java.lang.Integer caseRunID,
                       java.net.URL url)

  Use this constructor if you want to do sets and gets

  Parameters:
    `userName` - your bugzilla username
    `password` - your bugzilla password
    `caseRunID` - ID used to get the case
    `runID` - test run number
    `buildID` - ID generated by bugzilla
    `environmentID` - ID generated by bugzilla
    `url` - URL - the url of the testopia server that you want to connect to

Method Detail

### makeTestCaseRun

    public int makeTestCaseRun(int assigneeID,
                               int caseTextVersion)
                        throws java.lang.Exception

  used to create a testRunCase

  Parameters:
    `assigneeID` -
    `caseRunStatusID` -
    `caseTextVersion` -
  Returns:
  Throws:
    `java.lang.Exception`

### update

    public void update()
                throws java.lang.Exception

  Updates are not called when the .set is used. You must call update after all your sets to push the changes over to testopia.

  Throws:
    `java.lang.Exception` - will throw an exception if you used the 3 param constuctor.

### getAttributes

    public java.util.HashMap<java.lang.String,java.lang.Object> getAttributes()

  Returns:
    a hashMap of all the values found. Returns null if there is an error and the TestCaseRun cannot be returned

### setNotes

    public void setNotes(java.lang.String notes)

  This is used to append a note

  Parameters:
    `notes` - string - the note you want entered into the testCaseRun

### setStatus

    public void setStatus(int status)

  This is used to change the testCaseRun status (2 for pass, 3 for fail)

  Parameters:
    `status` - int - the status you want to change the testCaseRun to

### setBuildID

    public void setBuildID(int buildID)

  Changes the buildID of the testCaseRun

  Parameters:
    `buildID` - int - the new buildID

### setEnvironmentID

    public void setEnvironmentID(int environmentID)

  Changes the environmentID of the testCaseRun

  Parameters:
    `environmentID` - int - the number that the environment ID will be changed to

### setAssigneeID

    public void setAssigneeID(int assigneeID)

  Changes the assigneeID of the testCaseRun

  Parameters:
    `assigneeID` -

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD